#include <6170.h>
#include <ps5/url_ops.h>


int main(int argc, char **argv) {
  if (argc != 2)
    {
      cerr << "Usage: "<<argv[0]<<": query_string\n";
    }
  string q = argv[1];
      map <string,string> *m = parse_query(q);
      if (m) {
      hash_generator <string,string> *g = m->mappings();
      string key;
     while (g->get(key)) {
	cout <<key<<"=> "<<g->value()<<"\n";
      }
    }
      else cout <<"ERROR parsing\n";
    }
  
